'use strict';

require('../less/index.less');

const React = require('react');
const PropTypes = React.PropTypes;

class LegoWidget extends React.Component {
    render() {
        let title = this.props.title;
        let desc = this.props.desc;
        return (
            <div className="lego-test-section">
                <div className="title">{title}</div>
                <div className="desc">{desc}</div>
            </div>
        );
    }
}

LegoWidget.contextTypes = {
    legoWidgetId: PropTypes.string
};
LegoWidget.propTypes = {
    title: PropTypes.string.isRequired,
    desc: PropTypes.string
};
LegoWidget.defaultProps = {
    desc: ''
};

module.exports = LegoWidget;
