'use strict';

const path = require('path');
const co = require('co');
const accountFilter = require('@dp/account-filter');
const app = require('@dp/node-server');
const fetch = require('@gfe/m-isomorphic-fetch');
const Lego = require('@gfe/lego');

co(function*() {
    yield app.init({
        appRoot: __dirname
    });
    /**
     *
     * app.use(function*(next){})
     *
     * */
    yield accountFilter.init();
    // 挂载fetch的中间件

    app.use(fetch.init({
        lionFallbackKey: 'node-fitness-web.fallback.domain'
    }));

    app.use(accountFilter.middleware);
    app.use(Lego.init({
        actionDir: path.resolve(__dirname, './action'),
        actionNameRegex: /\.(action)$/,
        widgetDir: path.resolve(__dirname, './serverdist'),
        widgetNameRegex: /\.(js)$/,
        vendors: {
            react: '<%- PkgName %>/static/react.js'
        }
    }));

    app.start();
}).catch((e) => {
    console.log(e.stack);
    app.context.logger.error(e.stack);
    process.exit(1);
});
